# uPnP renderer
## Version 2.1

This repository contains files used to set up our uPnP renderer.

### Introduction
Version 2 implementation works roughly as follows:
* the Armbian-based device is connected to local network, and to an audio output device (usually via USB);
* MPD and upmpdcli are installed on the device.

### Files
Files in this repository only cover the renderer setup. SBC setup is now handled by `armbian-setup`
#### Installation
* `setup.sh` is a script automating the installation and configuration of required software
* `asound.conf` is the default ALSA configuration
* `restart.upmpdcli.service`, `restart.upmpdcli.timer` and `exec.conf` are the Systemd service configuration

### TODO
* RAS
